Index: /LMDZ6/branches/Amaury_dev/libf/phylmdiso/physiq_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmdiso/physiq_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmdiso/physiq_mod.F90	(revision 5116)
@@ -4375,8 +4374,8 @@
          
 #ifdef ISOVERIF
-        write(*,*) 'physiq 3977: verif des inputs de calwake'
+        WRITE(*,*) 'physiq 3977: verif des inputs de calwake'
         DO k = 1,klev
           DO i=1,klon
-            if (iso_eau.gt.0) then
+            if (iso_eau.gt.0) THEN
               CALL iso_verif_egalite(q_seri(i,k),xt_seri(iso_eau,i,k),'physiq 3981a')
               CALL iso_verif_egalite(dq_dwn(i,k),dxt_dwn(iso_eau,i,k),'physiq 3981b')
@@ -4417,8 +4416,8 @@
        itapwk = itapwk+1
 #ifdef ISOVERIF
-        write(*,*) 'physiq 4020: verif des outputs de calwake'
+        WRITE(*,*) 'physiq 4020: verif des outputs de calwake'
         DO k = 1,klev
           DO i=1,klon
-            if (iso_eau.gt.0) then
+            if (iso_eau.gt.0) THEN
               CALL iso_verif_egalite(d_q_wake(i,k),d_xt_wake(iso_eau,i,k),'physiq 4023a')
               CALL iso_verif_egalite(q_x(i,k),xt_x(iso_eau,i,k),'physiq 4023b')
@@ -4518,41 +4517,41 @@
 #endif         
 #ifdef ISOVERIF         
-      write(*,*) 'physiq 3570'
+      WRITE(*,*) 'physiq 3570'
          do k=1,klev
            do i=1,klon
-             if (iso_eau.gt.0) then
+             if (iso_eau.gt.0) THEN
                 CALL iso_verif_egalite_choix(xt_seri(iso_eau,i,k), &
                        q_seri(i,k),'physiq 2765',errmax,errmaxrel)
-             endif !if (iso_eau.gt.0) then
-             if (iso_HDO.gt.0) then
-               if (q_seri(i,k).gt.ridicule) then
+             endif !if (iso_eau.gt.0) THEN
+             if (iso_HDO.gt.0) THEN
+               if (q_seri(i,k).gt.ridicule) THEN
                   CALL iso_verif_aberrant_encadre(xt_seri(iso_HDO,i,k)/ &
                        q_seri(i,k),'physiq 2770')
-               endif !if (abs(d_q_ajs(i,k)).gt.ridicule) then               
-             endif !if (iso_HDO.gt.0) then
-             if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) then     
-               if (q_seri(i,k).gt.ridicule) then  
+               endif !if (abs(d_q_ajs(i,k)).gt.ridicule) THEN
+             endif !if (iso_HDO.gt.0) THEN
+             if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
+               if (q_seri(i,k).gt.ridicule) THEN
                  if (iso_verif_o18_aberrant_nostop( &
                     xt_seri(iso_HDO,i,k)/q_seri(i,k), &
                     xt_seri(iso_O18,i,k)/q_seri(i,k), &
-                    'physiq 3978, avant calltherm').eq.1) then
-                  write(*,*) 'physic 4115: i,k,q_seri(i,k)=',i,k,q_seri(i,k)                       
+                    'physiq 3978, avant calltherm').eq.1) THEN
+                  WRITE(*,*) 'physic 4115: i,k,q_seri(i,k)=',i,k,q_seri(i,k)
                   stop
                  endif !  if (iso_verif_o18_aberrant_nostop 
-               endif !if (q_seri(i,k).gt.errmax) then   
-             endif !if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) then    
-             if ((iso_O17.gt.0).and.(iso_O18.gt.0)) then
-               if ((q_seri(i,k).gt.ridicule).and.(k.lt.nlevmaxO17)) then
+               endif !if (q_seri(i,k).gt.errmax) THEN
+             endif !if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
+             if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
+               if ((q_seri(i,k).gt.ridicule).and.(k.lt.nlevmaxO17)) THEN
                  CALL iso_verif_aberrant_o17(xt_seri(iso_o17,i,k) &
                  /q_seri(i,k),xt_seri(iso_o18,i,k) &
                  /q_seri(i,k),'physiq 3178: avant clmain')
-               endif !if (q_seri(i,k).gt.ridicule) then
-             endif !if (iso_O17.gt.0) then
+               endif !if (q_seri(i,k).gt.ridicule) THEN
+             endif !if (iso_O17.gt.0) THEN
 #ifdef ISOTRAC      
         CALL iso_verif_traceur(xt_seri(1,i,k),'physiq 3389')
         if (iso_verif_tracpos_choix_nostop(xt_seri(1,i,k), &
                  'physiq 3481, avant ajsec',1e-5) &
-                 .eq.1) then
-              write(*,*) 'i,k=',i,k 
+                 .eq.1) THEN
+              WRITE(*,*) 'i,k=',i,k
 #ifdef ISOVERIF
                   stop
@@ -4566,5 +4565,5 @@
 #endif
 !#ifdef ISOVERIF         
-       if ((iso_eau.gt.0).and.(bidouille_anti_divergence)) then
+       if ((iso_eau.gt.0).and.(bidouille_anti_divergence)) THEN
         do k=1,klev   
         do i=1,klon
@@ -4576,5 +4575,5 @@
                   klon,klev)
 #endif        
-      endif !if ((iso_eau.gt.0).and.(bidouille_anti_divergence)) then  
+      endif !if ((iso_eau.gt.0).and.(bidouille_anti_divergence)) THEN
 #endif
 !#ifdef ISO      
@@ -4692,5 +4691,5 @@
           ! Ne change pas les resultats avec les isotopes tant qu'on
           ! tourne avec le defaut : iflag_thermals_tenv=0
-          if ( iflag_thermals_tenv /= 0 ) then 
+          if ( iflag_thermals_tenv /= 0 ) THEN
               abort_message ='iflag_thermals_env/=0 : non prevu avec les isotopes'
               CALL abort_physic (modname,abort_message,1)
@@ -4790,5 +4789,5 @@
           ! Transport de la TKE par les panaches thermiques.
           ! FH : 2010/02/01
-               if (iflag_thermcell_tke==1) then
+               if (iflag_thermcell_tke==1) THEN
                CALL thermcell_dtke(klon,klev,nbsrf,pdtphys,fm_therm,entr_therm,rg,paprs,pbl_tke)
                endif
@@ -4831,30 +4830,30 @@
 #endif         
 #ifdef ISOVERIF
-      write(*,*) 'physiq 3691c: avant CALL ajsec'
-      if (iso_eau.gt.0) then
+      WRITE(*,*) 'physiq 3691c: avant CALL ajsec'
+      if (iso_eau.gt.0) THEN
       CALL iso_verif_egalite_vect2D( &
                  xt_seri,q_seri, &
                  'physiq 3727, avant ajsec',ntraciso,klon,klev)
       endif
-      if (iso_HDO.gt.0) then
+      if (iso_HDO.gt.0) THEN
       CALL iso_verif_aberrant_enc_vect2D( &
                  xt_seri,q_seri, &
                  'physiq 3732, avant ajsec',ntraciso,klon,klev)
       endif    
-      if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) then     
+      if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
         do k = 1, klev
         do i = 1, klon 
-            if (q_seri(i,k).gt.ridicule) then  
+            if (q_seri(i,k).gt.ridicule) THEN
                if (iso_verif_o18_aberrant_nostop( &
                     xt_seri(iso_HDO,i,k)/q_seri(i,k), &
                     xt_seri(iso_O18,i,k)/q_seri(i,k), &
-                    'physiq 4051, avant ajsec').eq.1) then
-                  write(*,*) 'physiq 4367: i,k,q_seri(i,k)=',i,k,q_seri(i,k)                       
+                    'physiq 4051, avant ajsec').eq.1) THEN
+                  WRITE(*,*) 'physiq 4367: i,k,q_seri(i,k)=',i,k,q_seri(i,k)
                   stop
               endif !  if (iso_verif_o18_aberrant_nostop 
-            endif !if (q_seri(i,k).gt.errmax) then   
+            endif !if (q_seri(i,k).gt.errmax) THEN
         enddo !do i = 1, klon
         enddo !do k = 1, klev
-        endif !if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) then      
+        endif !if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
 #ifdef ISOTRAC
         CALL iso_verif_traceur_vect(xt_seri,klon,klev, &
@@ -4941,13 +4940,13 @@
 #ifdef ISO    
 #ifdef ISOVERIF
-      write(*,*) 'physiq 3837: verif avant ilp'
+      WRITE(*,*) 'physiq 3837: verif avant ilp'
 #endif         
 #ifdef ISOVERIF
-      if (iso_eau.gt.0) then
+      if (iso_eau.gt.0) THEN
       CALL iso_verif_egalite_vect2D( &
                  xt_seri,q_seri, &
                  'physiq 3709, avant ilp',ntraciso,klon,klev)
       endif
-      if (iso_HDO.gt.0) then
+      if (iso_HDO.gt.0) THEN
       CALL iso_verif_aberrant_enc_vect2D( &
                  xt_seri,q_seri, &
@@ -4958,22 +4957,22 @@
        do k=1,klev
         do i=1,klon
-           if ((iso_O17.gt.0).and.(iso_O18.gt.0)) then
-            if ((q_seri(i,k).gt.ridicule).and.(k.lt.nlevmaxO17)) then
+           if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
+            if ((q_seri(i,k).gt.ridicule).and.(k.lt.nlevmaxO17)) THEN
              CALL iso_verif_aberrant_o17(xt_seri(iso_o17,i,k) &
                  /q_seri(i,k),xt_seri(iso_o18,i,k) &
                  /q_seri(i,k),'physiq 3389')
-            endif !if (q_seri(i,k).gt.ridicule) then
-           endif !if (iso_O17.gt.0) then
-           if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) then    
-            if (q_seri(i,k).gt.ridicule) then  
+            endif !if (q_seri(i,k).gt.ridicule) THEN
+           endif !if (iso_O17.gt.0) THEN
+           if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
+            if (q_seri(i,k).gt.ridicule) THEN
                if (iso_verif_o18_aberrant_nostop( &
                     xt_seri(iso_HDO,i,k)/q_seri(i,k), &
                     xt_seri(iso_O18,i,k)/q_seri(i,k), &
-                    'physiq 4177, avant il pleut').eq.1) then
-                  write(*,*) 'physic 4475: i,k,q_seri(i,k)=',i,k,q_seri(i,k)                       
+                    'physiq 4177, avant il pleut').eq.1) THEN
+                  WRITE(*,*) 'physic 4475: i,k,q_seri(i,k)=',i,k,q_seri(i,k)
                   stop
               endif !  if (iso_verif_o18_aberrant_nostop 
-            endif !if (q_seri(i,k).gt.errmax) then   
-        endif !if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) then  
+            endif !if (q_seri(i,k).gt.errmax) THEN
+        endif !if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
 #ifdef ISOTRAC      
         CALL iso_verif_traceur(xt_seri(1,i,k),'physiq 3609')
@@ -4982,11 +4981,11 @@
         if (iso_verif_tracpos_choix_nostop(xt_seri(1,i,k), &
                  'physiq 3707, avant fisrtilp',1e-5) &
-                 .eq.1) then
-              write(*,*) 'i,k=',i,k 
+                 .eq.1) THEN
+              WRITE(*,*) 'i,k=',i,k
 #ifdef ISOVERIF
                   stop
 #endif
          endif
-         if (option_tmin.eq.1) then
+         if (option_tmin.eq.1) THEN
                CALL iso_verif_trac17_q_deltaD(xt_seri(1,i,k), &
                  'physiq 3905, avant ilp')
@@ -5006,9 +5005,9 @@
            enddo
         enddo
-      write(*,*) 'physiq 3113: appel de fisrtilp'
+      WRITE(*,*) 'physiq 3113: appel de fisrtilp'
 #endif     
 !ISOVERIF
           if ((bidouille_anti_divergence).and. &
-                 (iso_eau.gt.0)) then
+                 (iso_eau.gt.0)) THEN
            do k=1,klev
             do i=1,klon  
@@ -5075,16 +5074,16 @@
       DO k = 1, klev
         do i=1,klon
-        if (iso_O18.gt.0.and.iso_HDO.gt.0) then
-        if (ql_seri(i,k).gt.ridicule) then
+        if (iso_O18.gt.0.and.iso_HDO.gt.0) THEN
+        if (ql_seri(i,k).gt.ridicule) THEN
                CALL iso_verif_aberrant( &
                  xtl_seri(iso_HDO,i,k)/ql_seri(i,k),'physiq 4330')
-               if (iso_O18.gt.0) then  
+               if (iso_O18.gt.0) THEN
                  CALL iso_verif_o18_aberrant( &
                         xtl_seri(iso_HDO,i,k)/ql_seri(i,k), &
                         xtl_seri(iso_O18,i,k)/ql_seri(i,k), &
                         'physiq 4335, avant il pleut')
-               endif ! if (iso_O18.gt.0) then  
-             endif !if (ql_seri(i,k).gt.errmax) then  
-         endif !if (iso_HDO.gt.0) then 
+               endif ! if (iso_O18.gt.0) THEN
+             endif !if (ql_seri(i,k).gt.errmax) THEN
+         endif !if (iso_HDO.gt.0) THEN
        ENDDO ! i=1,klon
       ENDDO !DO k = 1, klev
@@ -5093,8 +5092,8 @@
 
 !+JLD
-!    write(*,9000) 'phys lsc',"enerbil: bil_q, bil_e,",rain_lsc+snow_lsc &
+!    WRITE(*,9000) 'phys lsc',"enerbil: bil_q, bil_e,",rain_lsc+snow_lsc &
 !        & ,((rcw-rcpd)*rain_lsc + (rcs-rcpd)*snow_lsc)*t_seri(1,1)-rlvtt*rain_lsc+rlstt*snow_lsc &
 !        & ,rain_lsc,snow_lsc
-!    write(*,9000) "rcpv","rcw",rcpv,rcw,rcs,t_seri(1,1)
+!    WRITE(*,9000) "rcpv","rcw",rcpv,rcw,rcs,t_seri(1,1)
 !-JLD 
     CALL add_phys_tend(du0,dv0,d_t_lsc,d_q_lsc,d_ql_lsc,d_qi_lsc,dqbs0,paprs, &
@@ -5172,5 +5171,5 @@
 #ifdef ISO      
 !#ifdef ISOVERIF
-!      write(*,*) 'physiq 4030: verif apres ajout lsc'
+!      WRITE(*,*) 'physiq 4030: verif apres ajout lsc'
 !#endif      
 #ifdef ISOVERIF
@@ -5179,10 +5178,10 @@
 #endif
 #ifdef ISOVERIF
-      if (iso_eau.gt.0) then
+      if (iso_eau.gt.0) THEN
       CALL iso_verif_egalite_vect2D( &
                  xt_seri,q_seri, &
                  'physiq 2599, apres ajout lsc',ntraciso,klon,klev)
       endif
-      if (iso_HDO.gt.0) then
+      if (iso_HDO.gt.0) THEN
       CALL iso_verif_aberrant_enc_vect2D( &
                  xt_seri,q_seri, &
@@ -5193,53 +5192,53 @@
       DO k = 1, klev
       DO i = 1, klon
-          if (iso_eau.gt.0) then
+          if (iso_eau.gt.0) THEN
            CALL iso_verif_egalite_choix( &
                  xtl_seri(iso_eau,i,k),ql_seri(i,k), &
                   'physiq 2601',errmax,errmaxrel)
-          endif !if (iso_eau.gt.0) then  
-          if (iso_HDO.gt.0) then    
-            if (q_seri(i,k).gt.ridicule) then  
-              if (iso_O18.gt.0) then  
+          endif !if (iso_eau.gt.0) THEN
+          if (iso_HDO.gt.0) THEN
+            if (q_seri(i,k).gt.ridicule) THEN
+              if (iso_O18.gt.0) THEN
                if (iso_verif_o18_aberrant_nostop( &
                     xt_seri(iso_HDO,i,k)/q_seri(i,k), &
                     xt_seri(iso_O18,i,k)/q_seri(i,k), &
-                    'physiq 2863, after il pleut').eq.1) then
-                  write(*,*) 'physic 4656: i,k,q_seri(i,k)=',i,k,q_seri(i,k)                       
+                    'physiq 2863, after il pleut').eq.1) THEN
+                  WRITE(*,*) 'physic 4656: i,k,q_seri(i,k)=',i,k,q_seri(i,k)
                   stop
                 endif
-              endif ! if (iso_O18.gt.0) then  
-            endif !if (q_seri(i,k).gt.errmax) then
-            if (ql_seri(i,k).gt.ridicule) then
+              endif ! if (iso_O18.gt.0) THEN
+            endif !if (q_seri(i,k).gt.errmax) THEN
+            if (ql_seri(i,k).gt.ridicule) THEN
                CALL iso_verif_aberrant_choix(xtl_seri(iso_HDO,i,k),ql_seri(i,k), &
                         ridicule,deltalim_snow,'physiq 2871')
-               if (iso_O18.gt.0) then  
+               if (iso_O18.gt.0) THEN
                  if (iso_verif_o18_aberrant_nostop( &
                         xtl_seri(iso_HDO,i,k)/ql_seri(i,k), &
                         xtl_seri(iso_O18,i,k)/ql_seri(i,k), &
-                        'physiq 2872, after il pleut').eq.1) then
-                        write(*,*) 'i,k,ql_seri(i,k)=',i,k,ql_seri(i,k)
-                        write(*,*) 'd_ql_lsc(i,k)=',d_ql_lsc(i,k)
-                        write(*,*) 'deltaD(d_ql_lsc(i,k))=',deltaD( &
+                        'physiq 2872, after il pleut').eq.1) THEN
+                        WRITE(*,*) 'i,k,ql_seri(i,k)=',i,k,ql_seri(i,k)
+                        WRITE(*,*) 'd_ql_lsc(i,k)=',d_ql_lsc(i,k)
+                        WRITE(*,*) 'deltaD(d_ql_lsc(i,k))=',deltaD( &
                                  d_xtl_lsc(iso_HDO,i,k)/d_ql_lsc(i,k))
-                        write(*,*) 'deltaO(d_ql_lsc(i,k))=',deltaO( &
+                        WRITE(*,*) 'deltaO(d_ql_lsc(i,k))=',deltaO( &
                                  d_xtl_lsc(iso_O18,i,k)/d_ql_lsc(i,k))
                         !stop
                  endif
-               endif ! if (iso_O18.gt.0) then  
-             endif !if (ql_seri(i,k).gt.errmax) then  
-         endif !if (iso_HDO.gt.0) then 
+               endif ! if (iso_O18.gt.0) THEN
+             endif !if (ql_seri(i,k).gt.errmax) THEN
+         endif !if (iso_HDO.gt.0) THEN
        ENDDO ! i=1,klon
       ENDDO !DO k = 1, klev
-      if ((iso_O17.gt.0).and.(iso_O18.gt.0)) then
+      if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
         do i=1,klon 
           do k=1,nlev
-           if ((q_seri(i,k).gt.ridicule).and.(k.lt.nlevmaxO17)) then
+           if ((q_seri(i,k).gt.ridicule).and.(k.lt.nlevmaxO17)) THEN
             CALL iso_verif_aberrant_o17(xt_seri(iso_o17,i,k) &
                  /q_seri(i,k),xt_seri(iso_o18,i,k) &
                  /q_seri(i,k),'physiq 3549')
-           endif !if (q_seri(i,k).gt.ridicule) then
+           endif !if (q_seri(i,k).gt.ridicule) THEN
           enddo !do k=1,nlev
         enddo  !do i=1,klon        
-      endif !if (iso_O17.gt.0) then
+      endif !if (iso_O17.gt.0) THEN
 #endif  
 !#ifdef ISOVERIF
@@ -5247,13 +5246,13 @@
 #ifdef ISOVERIF       
       CALL iso_verif_traceur_vect(xt_seri,klon,klev,'physiq 3794')
-      if (option_tmin.eq.1) then
-      if (nzone_temp.ge.5) then
+      if (option_tmin.eq.1) THEN
+      if (nzone_temp.ge.5) THEN
             CALL iso_verif_tag17_q_deltaD_vect(xt_seri,klon,klev, &
                 'physiq 3385: apres ilp')
-      endif ! if (nzone_temp.ge.5) then
-      endif !if (option_tmin.eq.1) then
+      endif ! if (nzone_temp.ge.5) THEN
+      endif !if (option_tmin.eq.1) THEN
 #endif   
 !#ifdef ISOVERIF                
-      if (bidouille_anti_divergence) then
+      if (bidouille_anti_divergence) THEN
           CALL iso_verif_traceur_jbid_vect(xt_seri, &
                   klon,klev)
@@ -5262,5 +5261,5 @@
         ! si tag 22, on recolorise les zones très convectives dans les
         ! tropiques
-        if (option_traceurs.eq.22) then
+        if (option_traceurs.eq.22) THEN
           CALL isotrac_recolorise_conv(xt_seri,latitude_deg,presnivs,rain_con)
         endif
@@ -5453,5 +5452,5 @@
       ENDDO !DO i = 1, klon
 #ifdef ISOVERIF
-      if (iso_eau.gt.0) then
+      if (iso_eau.gt.0) THEN
         DO i = 1, klon          
           CALL iso_verif_egalite_choix(xtsnow_fall(iso_eau,i), &
@@ -5459,20 +5458,20 @@
                  errmax,errmaxrel)
           if (iso_verif_positif_nostop(xtrain_lsc(iso_eau,i), &
-                 'physiq 4298').eq.1) then
-            if (rain_lsc(i).ge.0.0) then
-              write(*,*) 'rain_fall(i)=',rain_lsc(i)
+                 'physiq 4298').eq.1) THEN
+            if (rain_lsc(i).ge.0.0) THEN
+              WRITE(*,*) 'rain_fall(i)=',rain_lsc(i)
               stop
-            endif !if (rain_con(i).ge.0.0) then
+            endif !if (rain_con(i).ge.0.0) THEN
           endif  !if (iso_verif_positif_nostop
           if (iso_verif_positif_nostop(xtrain_fall(iso_eau,i), &
-                 'physiq 3405').eq.1) then
-            if (rain_fall(i).ge.0.0) then
-              write(*,*) 'rain_fall(i)=',rain_fall(i)
+                 'physiq 3405').eq.1) THEN
+            if (rain_fall(i).ge.0.0) THEN
+              WRITE(*,*) 'rain_fall(i)=',rain_fall(i)
               stop
-            endif !if (rain_con(i).ge.0.0) then
+            endif !if (rain_con(i).ge.0.0) THEN
           endif  !if (iso_verif_positif_nostop
         ENDDO !DO i = 1, klon   
-      endif !if (iso_eau.gt.0) then
-      if (iso_HDO.gt.0) then
+      endif !if (iso_eau.gt.0) THEN
+      if (iso_HDO.gt.0) THEN
           DO i = 1, klon
           CALL iso_verif_aberrant_choix(xtsnow_fall(iso_hdo,i), &
@@ -5502,5 +5501,5 @@
 #endif 
 #ifdef ISO 
-        if ((iso_eau.gt.0).and.(bidouille_anti_divergence)) then
+        if ((iso_eau.gt.0).and.(bidouille_anti_divergence)) THEN
         do i=1,klon
             xtrain_fall(iso_eau,i)=rain_fall(i)
@@ -5547,5 +5546,5 @@
        tpot(i)=zt2m(i)*(100000./paprs(i,1))**RKAPPA
        IF (thermcep) THEN
-          IF(zt2m(i)<RTT) then
+          IF(zt2m(i)<RTT) THEN
              Lheat=RLSTT
           ELSE
@@ -6063,5 +6062,5 @@
 ! a declarer comme iflag_rrtm et a lire dans physiq.def
 #ifdef CPP_ECRAD
-          IF (ok_3Deffect) then
+          IF (ok_3Deffect) THEN
 !                PRINT*,'ok_3Deffect = ',ok_3Deffect
                 namelist_ecrad_file='namelist_ecrad_s2'
@@ -6302,5 +6301,5 @@
     ENDIF ! fin de test sur ok_orolf
 
-    IF (ok_hines) then
+    IF (ok_hines) THEN
        !  HINES GWD PARAMETRIZATION
        east_gwstress=0.
@@ -6330,5 +6329,5 @@
     ENDIF
 
-    IF (.not. ok_hines .and. ok_gwd_rando) then
+    IF (.not. ok_hines .and. ok_gwd_rando) THEN
        ! ym missing init for east_gwstress & west_gwstress -> added in phys_local_var_mod
        CALL acama_GWD_rando(PHYS_TSTEP, pplay, latitude_deg, t_seri, u_seri, &
@@ -6585,43 +6584,43 @@
 #ifdef ISO
 #ifdef ISOVERIF
-IF (iso_HDO.gt.0) then
+IF (iso_HDO.gt.0) THEN
       CALL iso_verif_aberrant_enc_vect2D( &
                  xt_seri,q_seri, &
                  'physiq 5924, juste apres methox',ntraciso,klon,klev)
 END IF
-      if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) then  
+      if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
         do i=1,klon 
          do k=1,klev 
-            if (q_seri(i,k).gt.ridicule) then  
+            if (q_seri(i,k).gt.ridicule) THEN
                if (iso_verif_o18_aberrant_nostop( &
                     xt_seri(iso_HDO,i,k)/q_seri(i,k), &
                     xt_seri(iso_O18,i,k)/q_seri(i,k), &
-                    'physiq 5937a, juste apres methox, qv').eq.1) then
-                  write(*,*) 'physic 2444: i,k,q_seri(i,k)=',i,k,q_seri(i,k) 
-                  write(*,*) 'xt_seri(:,i,k)=',xt_seri(:,i,k)
+                    'physiq 5937a, juste apres methox, qv').eq.1) THEN
+                  WRITE(*,*) 'physic 2444: i,k,q_seri(i,k)=',i,k,q_seri(i,k)
+                  WRITE(*,*) 'xt_seri(:,i,k)=',xt_seri(:,i,k)
                   stop
               endif !  if (iso_verif_o18_aberrant_nostop 
-            endif !if (q_seri(i,k).gt.errmax) then  
-            if (ql_seri(i,k).gt.ridicule) then  
+            endif !if (q_seri(i,k).gt.errmax) THEN
+            if (ql_seri(i,k).gt.ridicule) THEN
                if (iso_verif_o18_aberrant_nostop( &
                     xtl_seri(iso_HDO,i,k)/ql_seri(i,k), &
                     xtl_seri(iso_O18,i,k)/ql_seri(i,k), &
-                    'physiq 5937b, juste apres methox, ql').eq.1) then
-                  write(*,*) 'i,k,ql_seri(i,k)=',i,k,ql_seri(i,k) 
+                    'physiq 5937b, juste apres methox, ql').eq.1) THEN
+                  WRITE(*,*) 'i,k,ql_seri(i,k)=',i,k,ql_seri(i,k)
                   !stop
               endif !  if (iso_verif_o18_aberrant_nostop 
-            endif !if (q_seri(i,k).gt.errmax) then  
-            if (qs_seri(i,k).gt.ridicule) then  
+            endif !if (q_seri(i,k).gt.errmax) THEN
+            if (qs_seri(i,k).gt.ridicule) THEN
                if (iso_verif_o18_aberrant_nostop( &
                     xts_seri(iso_HDO,i,k)/qs_seri(i,k), &
                     xts_seri(iso_O18,i,k)/qs_seri(i,k), &
-                    'physiq 5937c, juste apres methox, qs').eq.1) then
-                  write(*,*) 'i,k,qs_seri(i,k)=',i,k,qs_seri(i,k) 
+                    'physiq 5937c, juste apres methox, qs').eq.1) THEN
+                  WRITE(*,*) 'i,k,qs_seri(i,k)=',i,k,qs_seri(i,k)
                   !stop
               endif !  if (iso_verif_o18_aberrant_nostop 
-            endif !if (q_seri(i,k).gt.errmax) then
+            endif !if (q_seri(i,k).gt.errmax) THEN
           enddo !k=1,klev
          enddo  !i=1,klon
-        endif !if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) then
+        endif !if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
 #endif
 #endif
@@ -6744,7 +6743,7 @@
        do k=1,klev
           if (iso_verif_positif_strict_nostop(xt_seri(ixt,i,k), &
-            'physiq 5620 : xt_seri(HTO) nul ou negatif').eq.1) then
-          write(*,*) 'ixt,i,klon,k,klev=',ixt,i,klon,k,klev
-          write(*,*) 'xt_seri(iso_HTO,i,k)=',xt_seri(ixt,i,k)
+            'physiq 5620 : xt_seri(HTO) nul ou negatif').eq.1) THEN
+          WRITE(*,*) 'ixt,i,klon,k,klev=',ixt,i,klon,k,klev
+          WRITE(*,*) 'xt_seri(iso_HTO,i,k)=',xt_seri(ixt,i,k)
           stop
           endif
@@ -6753,7 +6752,7 @@
        endif
 #endif
-!      write(*,*)'itap=',itap
-!      write(*,*)'itau_phy=',itau_phy
-!      write(*,*)'jD_cur=',jD_cur
+!      WRITE(*,*)'itap=',itap
+!      WRITE(*,*)'itau_phy=',itau_phy
+!      WRITE(*,*)'jD_cur=',jD_cur
 #endif
 !ifdef ISO
@@ -6762,8 +6761,7 @@
 ! Marine
 
-  IF (ok_airs) then
-
+  IF (ok_airs) THEN
   IF (itap==1.or.MOD(itap,NINT(freq_airs/phys_tstep))==0) THEN
-     write(*,*) 'je vais appeler simu_airs, ok_airs, freq_airs=', ok_airs, freq_airs
+     WRITE(*,*) 'je vais appeler simu_airs, ok_airs, freq_airs=', ok_airs, freq_airs
      CALL simu_airs(itap,rneb, t_seri, cldemi, fiwc, ref_ice, pphi, pplay, paprs,&
           map_prop_hc,map_prop_hist,&
@@ -7089,5 +7087,5 @@
           iq=iqIsoPha(ixt,iliq)
           d_qx(i,k,iq) = ( xtl_seri(ixt,i,k) - qx(i,k,iq) ) / phys_tstep
-          if (nqo.eq.3) then
+          if (nqo.eq.3) THEN
              iq=iqIsoPha(ixt,isol)
              d_qx(i,k,iq) = ( xts_seri(ixt,i,k) - qx(i,k,iq) ) / phys_tstep
@@ -7144,39 +7142,39 @@
 
     IF (prt_level>=1) THEN
-       write(lunout,*) 'FIN DE PHYSIQ !!!!!!!!!!!!!!!!!!!!'
-       write(lunout,*) &
+       WRITE(lunout,*) 'FIN DE PHYSIQ !!!!!!!!!!!!!!!!!!!!'
+       WRITE(lunout,*) &
             'nlon,klev,nqtot,debut,lafin,jD_cur, jH_cur, pdtphys pct tlos'
-       write(lunout,*) &
+       WRITE(lunout,*) &
             nlon,klev,nqtot,debut,lafin, jD_cur, jH_cur ,pdtphys, &
             pctsrf(igout,is_ter), pctsrf(igout,is_lic),pctsrf(igout,is_oce), &
             pctsrf(igout,is_sic)
-       write(lunout,*) 'd_t_dyn,d_t_con,d_t_lsc,d_t_ajsb,d_t_ajs,d_t_eva'
+       WRITE(lunout,*) 'd_t_dyn,d_t_con,d_t_lsc,d_t_ajsb,d_t_ajs,d_t_eva'
        DO k=1,klev
-          write(lunout,*) d_t_dyn(igout,k),d_t_con(igout,k), &
+          WRITE(lunout,*) d_t_dyn(igout,k),d_t_con(igout,k), &
                d_t_lsc(igout,k),d_t_ajsb(igout,k),d_t_ajs(igout,k), &
                d_t_eva(igout,k)
        ENDDO
-       write(lunout,*) 'cool,heat'
+       WRITE(lunout,*) 'cool,heat'
        DO k=1,klev
-          write(lunout,*) cool(igout,k),heat(igout,k)
+          WRITE(lunout,*) cool(igout,k),heat(igout,k)
        ENDDO
 
        !jyg<     (En attendant de statuer sur le sort de d_t_oli)
-       !jyg!     write(lunout,*) 'd_t_oli,d_t_vdf,d_t_oro,d_t_lif,d_t_ec'
+       !jyg!     WRITE(lunout,*) 'd_t_oli,d_t_vdf,d_t_oro,d_t_lif,d_t_ec'
        !jyg!     do k=1,klev
-       !jyg!        write(lunout,*) d_t_oli(igout,k),d_t_vdf(igout,k), &
+       !jyg!        WRITE(lunout,*) d_t_oli(igout,k),d_t_vdf(igout,k), &
        !jyg!             d_t_oro(igout,k),d_t_lif(igout,k),d_t_ec(igout,k)
        !jyg!     enddo
-       write(lunout,*) 'd_t_vdf,d_t_oro,d_t_lif,d_t_ec'
+       WRITE(lunout,*) 'd_t_vdf,d_t_oro,d_t_lif,d_t_ec'
        DO k=1,klev
-          write(lunout,*) d_t_vdf(igout,k), &
+          WRITE(lunout,*) d_t_vdf(igout,k), &
                d_t_oro(igout,k),d_t_lif(igout,k),d_t_ec(igout,k)
        ENDDO
        !>jyg
 
-       write(lunout,*) 'd_ps ',d_ps(igout)
-       write(lunout,*) 'd_u, d_v, d_t, d_qx1, d_qx2 '
+       WRITE(lunout,*) 'd_ps ',d_ps(igout)
+       WRITE(lunout,*) 'd_u, d_v, d_t, d_qx1, d_qx2 '
        DO k=1,klev
-          write(lunout,*) d_u(igout,k),d_v(igout,k),d_t(igout,k), &
+          WRITE(lunout,*) d_u(igout,k),d_v(igout,k),d_t(igout,k), &
                d_qx(igout,k,1),d_qx(igout,k,2)
        ENDDO
@@ -7270,5 +7268,5 @@
 
     ! Petit appelle de sorties pour accompagner le travail sur phyex
-    if ( iflag_physiq == 1 ) then
+    if ( iflag_physiq == 1 ) THEN
         CALL output_physiqex(debut,jD_eq,pdtphys,presnivs,paprs,u,v,t,qx,cldfra,0.*t,0.*t,0.*t,pbl_tke,theta)
     endif
@@ -7292,17 +7290,17 @@
 #ifdef ISO   
 #ifdef ISOVERIF
-IF (iso_HDO.gt.0) then
+IF (iso_HDO.gt.0) THEN
       CALL iso_verif_aberrant_enc_vect2D( &
                  xt_ancien,q_ancien, &
                  'physiq 6577',ntraciso,klon,klev)
 END IF
-         write(*,*) 'physiq 3731: verif avant phyisoredem'    
+         WRITE(*,*) 'physiq 3731: verif avant phyisoredem'
          do k=1,klev
           do i=1,klon
-            if (iso_eau.gt.0) then
+            if (iso_eau.gt.0) THEN
                CALL iso_verif_egalite_choix(xt_ancien(iso_eau,i,k), &
                  q_ancien(i,k),'physiq 3728: avant phyisoredem', &
                  errmax,errmaxrel)
-            endif ! if (iso_eau.gt.0) then
+            endif ! if (iso_eau.gt.0) THEN
 #ifdef ISOTRAC
             IF(nzone > 0) CALL iso_verif_traceur(xt_ancien(1,i,k),'physiq 4802')
@@ -7322,5 +7320,5 @@
        CALL phyredem ("restartphy.nc")
        !         open(97,form="unformatted",file="finbin")
-       !         write(97) u_seri,v_seri,t_seri,q_seri
+       !         WRITE(97) u_seri,v_seri,t_seri,q_seri
        !         close(97)
       
Index: /LMDZ6/branches/Amaury_dev/libf/phylmdiso/reevap.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmdiso/reevap.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmdiso/reevap.F90	(revision 5116)
@@ -45,6 +45,6 @@
        DO i = 1, klon
 
-        if (ixt==1) then
-         if (fl_cor_ebil > 0) then
+        if (ixt==1) THEN
+         if (fl_cor_ebil > 0) THEN
           !zlvdcp=RLVTT/RCPD/(1.0+RVTMP2*(q_seri(i,k)+ql_seri(i,k)+qs_seri(i,k)))
           !zlsdcp=RLSTT/RCPD/(1.0+RVTMP2*(q_seri(i,k)+ql_seri(i,k)+qs_seri(i,k)))
@@ -72,6 +72,5 @@
              d_t_eva(i,k) = za
 
-          endif !if (ixt.eq.1) then
-
+          endif !if (ixt.eq.1) THEN
             !zb = MAX(0.0,ql_seri(i,k)+qs_seri(i,k))
             !d_q_eva(i,k) = zb
